#
# config.py - settings used in the blockerbug application
#
# Copyright 2012, Red Hat, Inc
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Authors:
#   Tim Flink <tflink@redhat.com>


class Config(object):
    DEBUG = True
    SQLALCHEMY_DATABASE_URI = 'sqlite://'
    BUGZILLA_URL = 'https://partner-bugzilla.redhat.com/xmlrpc.cgi'
    FAS_ADMIN_GROUP = 'qa-admin'
    FAS_HTTPS_REQUIRED = False
    FAS_CHECK_CERT = False
    FAS_BASE_URL = 'https://admin.stg.fedoraproject.org/accounts/'
    BUGZILLA_COOKIE = '.bugzillacookies'
    LOGFILE = '/var/log/blockerbugs/blockerbugs.log'
    FILE_LOGGING = False
    SYSLOG_LOGGING = False
    STREAM_LOGGING = True
    PRODUCTION = False


class ProductionConfig(Config):
    DEBUG = False
    BUGZILLA_URL = 'https://bugzilla.redhat.com/xmlrpc.cgi'
    FAS_HTTPS_REQUIRED = True
    FAS_BASE_URL = 'https://admin.fedoraproject.org/accounts/'
    PRODUCTION = True


class DevelopmentConfig(Config):
    TRAP_BAD_REQUEST_ERRORS = True
    SQLALCHEMY_DATABASE_URI = 'sqlite:////tmp/blockerbugs_db.sqlite'


class TestingConfig(Config):
    TESTING = True

