#
# userinfo.py - ORM class for various user related information
#
# Copyright 2013, Red Hat, Inc
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Authors:
#   Martin Krizek <mkrizek@redhat.com>


from blockerbugs import db


class UserInfo(db.Model):
    id = db.Column(db.Integer, primary_key=True)
    fas_login = db.Column(db.String(255), unique=True)
    bz_user = db.Column(db.String(255), unique=True)

    def __init__(self, fas_login, bz_user):
        self.fas_login = fas_login
        self.bz_user = bz_user

    def __repr__(self):
        return '<userinfo %d: %s>' % (self.fas_login, self.bz_user)
